/*=============================================================================
	  ___________
	 /           \		Par Martin Robinson
	|   @#!$*%    |		logiciel libre GPL
	 \_______   _/
	 		 \ |  ___________
	    	  \| |   O   O   |
				 |  _______  |
				 | | | | | | |
===============================================================================
Preprocesseur
=============================================================================*/

#pragma once
#ifndef sdlMixerMR_deja
#define sdlMixerMR_deja
#include "SDL/SDL.h"
#include "SDL/SDL_mixer.h"
#include <iostream>

using namespace std;

void commencerMixer()
{
//    if (!Mix_Init(MIX_INIT_OGG))
//        cout << "problème avec codec OGG\n";

    //Initialize SDL_mixer 
    if( Mix_OpenAudio( 22050, MIX_DEFAULT_FORMAT, 2, 4096 ) == -1 ) 
        cout << "problème audio\n";
}

Mix_Music * ouvrireMusique(const char * nomFichier)
{
    Mix_Music * music = Mix_LoadMUS( nomFichier ); 
    if (!music)
    {
        cout << "probleme avec le fichier musical [" << nomFichier << "]\n";

    }
    return music;
}

bool play(Mix_Music * music)
{
    if( Mix_PlayingMusic() == 0 ) 
        if( Mix_PlayMusic( music, -1 ) == -1 ) 
            return true; 
    return false;
}

void stop()
{
    Mix_HaltMusic();
}

#endif
